{
	"name": "table/external/woocommerce/order/order_row.json",
	"table_name": "order_row",
	"table_prefix": "ordr",
	"record_type": ["sales"],
	"local_table": "order_row",
	"local_record_type": "sales",
	"field": [
		{
			"field_name": "id",
			"local_field": "json_data.project_id",
			"field_type": "varchar"
		},
		{
			"info": "fake field to prevent local field 'ordr.record_id' can't be converted to external field -warnings",
			"field_name": "json_data.fake_record_id",
			"local_field": "record_id",
			"field_type": "text",
			"writeable": false
		},
		{
			"field_name": "method_id",
			"local_field": "json_data.method_id",
			"field_type": "varchar"
		},
		{
			"field_name": "name",
			"local_field": "description",
			"field_type": "varchar"
		},
		{
			"field_name": "ord.order_id",
			"local_field": "order_id",
			"field_type": "varchar"
		},
		{
			"field_name": "price",
			"local_field": "unit_price",
			"field_type": "double"
		},
		{
			"field_name": "product_id",
			"local_field": "json_data.product_id",
			"field_type": "double"
		},
		{
			"field_name": "quantity",
			"local_field": "order_amount",
			"field_type": "varchar"
		},
		{
			"field_name": "sku",
			"local_field": "product_id",
			"field_type": "varchar"
		},
		{
			"field_name": "subtotal",
			"local_field": "json_data.subtotal",
			"field_type": "double"
		},
		{
			"field_name": "subtotal_tax",
			"local_field": "json_data.subtotal_tax",
			"field_type": "double"
		},
		{
			"field_name": "tax_class",
			"local_field": "json_data.tax_class",
			"field_type": "varchar"
		},
		{
			"field_name": "taxes.id",
			"local_field": "json_data.taxes_id",
			"field_type": "varchar"
		},
		{
			"field_name": "taxes.subtotal",
			"local_field": "json_data.subtotal_id",
			"field_type": "varchar"
		},
		{
			"field_name": "taxes.total",
			"local_field": "json_data.total",
			"field_type": "varchar"
		},
		{
			"field_name": "total",
			"local_field": "price_without_vat",
			"field_type": "double"
		},
		{
			"field_name": "total_tax",
			"local_field": "vat_price",
			"field_type": "double"
		},
		{
			"field_name": "variation_id",
			"local_field": "json_data.variation_id",
			"field_type": "varchar"
		}
	]
}
